Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_Folder

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_PublicObject

                        |

                        +--oracle.ifs.server.S_TiePublicObject

                              |

                              +--oracle.ifs.server.S_Folder

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieFolder

public class S_Folder
extends S_TiePublicObject

Server side representation of the FOLDER class.

See Also:
  `S_LibraryService`, `S_LibrarySession`

Method Summary
`void` | `addItem(S_PublicObject ro, S_LibraryObjectDefinition rdef)` Add an item to a Folder.
`boolean` | `checkExistenceOfPublicObjectByPath(java.lang.String path)` Check for existence of an object at the specified path.
`S_PublicObject` | `findPublicObjectByPath(java.lang.String path)` Find item by Folder path.
`long` | `getItemCount(java.lang.String folderRelClassname)` Get the number of items in the S_Folder.
`S_PublicObject[]` | `getItems(java.lang.String classname, SortSpecification sort)` Gets the PUBLICOBJECTs in this FOLDER.
`long` | `getSubfolderCount(java.lang.String folderRelClassname)` Get the number of sub folders in the S_Folder.
`void` | `handleEvent(IfsEvent event)` Handles the specified event.
`boolean` | `isVersionable()` isVersionable() - true is this object can be in a Family.
`void` | `removeItem(S_PublicObject ro, S_LibraryObjectDefinition def)` Remove an item from a Folder.

Methods inherited from class oracle.ifs.server.S_PublicObject
`addRelationship, deriveDefinition, extendedPreInsert, extendedPreUpdate, getCategories, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getReferencingFolders, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getVersionDescriptions, hasNameAttribute, isLocked, removeRelationship`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Handles the specified event.
  Overrides:
    `handleEvent` in class `S_LibraryObject`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails

### isVersionable

    public boolean isVersionable()
                          throws IfsException

  isVersionable() - true is this object can be in a Family.
  Overrides:
    `isVersionable` in class `S_PublicObject`
  Throws:
    `IfsException` - if the operation fails

### getItemCount

    public long getItemCount(java.lang.String folderRelClassname)
                      throws IfsException

  Get the number of items in the S_Folder.
  Throws:
    `IfsException` - if the operation fails

### getSubfolderCount

    public long getSubfolderCount(java.lang.String folderRelClassname)
                           throws IfsException

  Get the number of sub folders in the S_Folder.
  Throws:
    `IfsException` - if the operation fails

### getItems

    public S_PublicObject[] getItems(java.lang.String classname,
                                     SortSpecification sort)
                              throws IfsException

  Gets the PUBLICOBJECTs in this FOLDER.
  Parameters:
    `classname` - the name of the folder relationship classobject
    `sort` - the desired sort order
  Returns:
    the PUBLICOBJECTs
  Throws:
    `IfsException` - if the operation fails

### addItem

    public void addItem(S_PublicObject ro,
                        S_LibraryObjectDefinition rdef)
                 throws IfsException

  Add an item to a Folder.
  Parameters:
    `ro` - object to be added.
    `rdef` - the object definition to be added to the Folder.
  Throws:
    `IfsException` - if the operation fails.

### removeItem

    public void removeItem(S_PublicObject ro,
                           S_LibraryObjectDefinition def)
                    throws IfsException

  Remove an item from a Folder.
  Parameters:
    `ro` - The object to remove.
    `def` - Any options that describe the remove semantics.
  Throws:
    `IfsException` - if any other aspect of the operation fails.

### findPublicObjectByPath

    public S_PublicObject findPublicObjectByPath(java.lang.String path)
                                          throws IfsException

  Find item by Folder path.
  Parameters:
    `path` - the folder path to the desired object.
  Returns:
    the desired object.
  Throws:
    `IfsException` - if the operation fails.

### checkExistenceOfPublicObjectByPath

    public boolean checkExistenceOfPublicObjectByPath(java.lang.String path)
                                               throws IfsException

  Check for existence of an object at the specified path.
  Parameters:
    `path` - the folder path to the desired object.
  Returns:
    true if an object exists
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD